<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@drawable/shape_corner_stroke_white"
    android:orientation="vertical"
    tools:viewBindingIgnore="true">

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding"
        android:gravity="center"
        android:padding="@dimen/common_padding"
        android:text="@string/application_detail"
        android:textSize="@dimen/text_size_medium"
        android:textStyle="bold" />

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/common_padding_large"
        android:layout_marginEnd="@dimen/common_padding_large"
        android:layout_weight="1"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/material_name"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/material_name"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/material_type"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/material_type"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/association_group"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/association_group"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/application_count"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/material_application_count"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:text="@string/application_reason"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/application_reason"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding_huge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:text="@string/notes"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/remark"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

        </LinearLayout>

    </ScrollView>

    <com.pan_american.android.util.CommitButton
        android:id="@+id/commit"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_margin="@dimen/common_padding_huge" />

</LinearLayout>